Subject: Re: changing setup executable
From: Marco Atzeri <[email-masked]>
To: Rance Hall <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Mar 2010 14:26:40 +0000 (GMT)
List-Id: <cygwin.cygwin.com>

--- Gio 25/3/10, Rance Hall  ha scritto:

> Marco Atzeri 
> wrote:
> 
> <snip>
> 
> > Hi Rance,
> > Setup is a program and as such has its own fixed bugs
> and
> > feature improvements that require updated release.
> >
> > See here from the source the Changelog
> >
> > http://sources.redhat.com/cgi-bin/cvsweb.cgi/setup/ChangeLog?rev=2.693&content-type=text/x-cvsweb-markup&cvsroot=cygwin-apps
> >
> >
> > Regards
> > Marco
> >
> 
> Thanks to both Marco and Dave for the link.
> 
> I thought I had an idea for a script that would autoupdate
> cygwin on a
> weekly basis that can be used for network deployment etc.
> 
> The two basic things I was having trouble wrapping my head
> around are
> checking setup to see if you need a new one and is this
> worth it.
> Maybe the easiest thing to do would be calculate a checksum
> from setup
> and check the web to see if it matches.
> 
> then the next item is to check the packages list from
> cygwin somehow
> and then check the web to see if an update needs to be
> applied.
> 
> I'm thinking the best place to run this script is from
> within cygwin
> itself.  windows scripting has precious few options
> that help me do
> any real work.  then the challenge would be to somehow
> trigger the
> setup run in windows after cygwin exits.

make a simple windows bat file and run it from cmd.exe

example.bat
------------------------
cd c:\cygwin\bin
bash -l -e "your_bash_script"
cd c:\your_setup_dir\cygwin
setup "all your options"
--------------------------

in this way setup will run after bash completes 
the script.
And you can also shutdown the cygwin services
adding at the end of the bash script something like

-----------------------------
for k in `cygrunsrv -L`
  do
      cygrunsrv -E $k
  done
-----------------------------

> 
> I'm sure that this has been done before, but I'm doing this
> as an
> intellectual learning exercise too so I didn't mention the
> script when
> asking the question.
> 
> Rance
> 

Regards
Marco

     

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple